package com.dj.action.sys;


import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;
import com.dj.action.base.BaseAction;
import com.dj.pageModel.sys.Attendance;
import com.dj.service.sys.DepAttendanceServiceI;
import com.opensymphony.xwork2.ModelDriven;

/**
 * 部门日考勤
 * 
 * @author lili
 * 
 */
@Action(value = "depattendance", results = { @Result(name = "depattendance", location = "/general/admin/depattendance.jsp") })
public class DepAttendanceAction extends BaseAction implements
		ModelDriven<Attendance> {

	private static final long serialVersionUID = 1L;

	private static final Logger logger = Logger
			.getLogger(DepAttendanceAction.class);

	private DepAttendanceServiceI depattendanceService;

	public DepAttendanceServiceI getAttendanceService() {
		return depattendanceService;
	}

	@Autowired
	public void setDepAttendanceService(DepAttendanceServiceI depattendanceService) {
		this.depattendanceService = depattendanceService;
	}

	private Attendance attendance = new Attendance();

	public Attendance getModel() {
		return attendance;
	}

	
	public String depattendance() {
		return "depattendance";
	}

	/**
	 * 获得bug数据表格
	 */
	public void datagrid() {
		super.writeJson(depattendanceService.datagrid(attendance));
	}

}
