package com.dj.action.sys;

import com.dj.action.base.BaseAction;
import com.dj.pageModel.sys.YangqiHistory;
import com.dj.service.sys.o2historyServiceI;
import com.opensymphony.xwork2.ModelDriven;
import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;

@Action(
        value = "o2history",
        results = {@Result(
                name = "o2history",
                location = "/general/admin/o2history.jsp"
        )}
)
public class O2historyAction extends BaseAction implements ModelDriven<YangqiHistory> {
    private static final long serialVersionUID = 1L;
    private static final Logger logger = Logger.getLogger(O2historyAction.class);
    private o2historyServiceI o2historyService;
    private YangqiHistory yangqihistory = new YangqiHistory();

    public O2historyAction() {

    }

    public o2historyServiceI getO2historyService() {
        return this.o2historyService;
    }

    @Autowired
    public void setO2historyService(o2historyServiceI o2historyService) {
        this.o2historyService = o2historyService;
    }

    public YangqiHistory getModel() {
        return this.yangqihistory;
    }

    public String o2history() {
        return "o2history";
    }

    public void datagrid() {
        super.writeJson(this.o2historyService.datagrid(this.yangqihistory));
    }

}

