package com.dj.action.sys;


import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;
import com.dj.action.base.BaseAction;
import com.dj.pageModel.sys.Attendance;
import com.dj.service.sys.PerAttendanceServiceI;
import com.opensymphony.xwork2.ModelDriven;

/**
 * 员工月考勤
 * 
 * @author lili
 * 
 */
@Action(value = "perattendance", results = { @Result(name = "perattendance", location = "/general/admin/perattendance.jsp") })
public class PerAttendanceAction extends BaseAction implements
		ModelDriven<Attendance> {

	private static final long serialVersionUID = 1L;

	private static final Logger logger = Logger
			.getLogger(PerAttendanceAction.class);

	private PerAttendanceServiceI perattendanceService;

	public PerAttendanceServiceI getAttendanceService() {
		return perattendanceService;
	}

	@Autowired
	public void setPerAttendanceService(PerAttendanceServiceI perattendanceService) {
		this.perattendanceService = perattendanceService;
	}

	private Attendance attendance = new Attendance();

	public Attendance getModel() {
		return attendance;
	}

	
	public String perattendance() {
		return "perattendance";
	}

	/**
	 * 获得bug数据表格
	 */
	public void datagrid() {
		super.writeJson(perattendanceService.datagrid(attendance));
	}

}
