package com.dj.action.sys;

import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;
import com.dj.action.base.BaseAction;
import com.dj.pageModel.base.Json;
import com.dj.pageModel.sys.Gas;
import com.dj.pageModel.sys.Readinfo;
import com.dj.pageModel.sys.Readinfow;
import com.dj.service.sys.GasServiceI;
import com.dj.service.sys.ReadinfoServiceI;
import com.dj.util.base.ExceptionUtil;
import com.opensymphony.xwork2.ModelDriven;

/**
 * 人员定位 历史记录 ACTION
 *
 * @author lili
 *
 */
@Action(value = "readinfo", results = { @Result(name = "readinfo", location = "/general/admin/readinfo.jsp"), @Result(name = "readinfoEdit", location = "/general/admin/readinfoEdit.jsp") })
public class ReadinfoAction extends BaseAction implements ModelDriven<Readinfow> {

	private static final long serialVersionUID = 1L;

	private static final Logger logger = Logger.getLogger(ReadinfoAction.class);

	private ReadinfoServiceI readinfoService;

	public ReadinfoServiceI getReadinfoService() {
		return readinfoService;
	}

	@Autowired
	public void setReadinfoService(ReadinfoServiceI readinfoService) {
		this.readinfoService = readinfoService;
	}

//	private Readinfo readinfo = new Readinfo();
	private Readinfow readinfo = new Readinfow();

	public Readinfow getModel() {
		return readinfo;
	}

	public String readinfo() {
		return "readinfo";
	}

	public String readinfoEdit() {
		return "readinfoEdit";
	}

	/**
	 * 获得bug数据表格
	 */
	public void datagrid() {
		super.writeJson(readinfoService.datagrid(readinfo));
	}


	public void edit() {
		Json j = new Json();
		try {
			readinfoService.update(readinfo);
			j.setSuccess(true);
			j.setMsg("编辑成功!");
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("编辑失败！");
		}
		writeJson(j);
	}

}
