package com.dj.action.sys;

import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;
import com.dj.action.base.BaseAction;
import com.dj.pageModel.base.Json;


import com.dj.pageModel.sys.Rfcardw;
import com.dj.service.sys.RfcardServiceI;
import com.dj.util.base.ExceptionUtil;
import com.opensymphony.xwork2.ModelDriven;

/**
 * 人员定位 历史记录 ACTION
 * 
 * @author lili
 * 
 */
@Action(value = "rfcard", results = { @Result(name = "rfcard", location = "/general/admin/rfcard.jsp"), @Result(name = "rfcardEdit", location = "/general/admin/rfcardEdit.jsp") })
public class RfcardAction extends BaseAction implements ModelDriven<Rfcardw> {

	private static final long serialVersionUID = 1L;

	private static final Logger logger = Logger.getLogger(RfcardAction.class);

	private RfcardServiceI rfcardService;

	public RfcardServiceI getRfcardService() {
		return rfcardService;
	}

	@Autowired
	public void setRfcardService(RfcardServiceI rfcardService) {
		this.rfcardService = rfcardService;
	}

//	private Rfcard rfcard = new Rfcard();
	private Rfcardw rfcard = new Rfcardw();

	public Rfcardw getModel() {
		return rfcard;
	}
	public String rfcard() {
		return "rfcard";
	}
	public String rfcardEdit() {
		return "rfcardEdit";
	}
	/**
	 * 获得bug数据表格
	 */
	public void datagrid() {
		super.writeJson(rfcardService.datagrid(rfcard));
	}


	public void edit() {
		Json j = new Json();
		try {
			rfcardService.update(rfcard);
			j.setSuccess(true);
			j.setMsg("编辑成功!");
		} catch (Exception e) {
			logger.error(ExceptionUtil.getExceptionMessage(e));
			j.setMsg("编辑失败！");
		}
		writeJson(j);
	}

}
