package com.dj.model.sys;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.JoinColumns;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.hibernate.annotations.JoinColumnOrFormula;
import org.hibernate.annotations.JoinColumnsOrFormulas;

/**
 * Tattendance entity. @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "TAB_ATTENDANCE", schema = "")
public class Tattendance implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	/** default constructor */
	public Tattendance() {
	}

	/** full constructor */
	public Tattendance(Date intime, Date outtime) {

		this.intime = intime;
		this.outtime = outtime;
	}

	private Integer id;
	private Date intime;
	private Date outtime;
	private Integer personcode;
	private String personname;
	private String mineareacode;
	private String departcode;
	private String flag;
	private String ip;
	
	
	//private Tpersoninfo tpersoninfo;

//	@ManyToOne(fetch = FetchType.LAZY)
//	@JoinColumns(value = {@JoinColumn(name = "PERSONCODE", referencedColumnName="PERSONCODE") })
//	public Tpersoninfo getTpersoninfo() {
//		return tpersoninfo;
//	}
//
//	public void setTpersoninfo(Tpersoninfo tpersoninfo) {
//		this.tpersoninfo = tpersoninfo;
//	}



	@Id
	@Column(name = "ID")
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "INTIME", length = 7)
	public Date getIntime() {
		return intime;
	}

	public void setIntime(Date intime) {
		this.intime = intime;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "OUTTIME", length = 7)
	public Date getOuttime() {
		return outtime;
	}

	public void setOuttime(Date outtime) {
		this.outtime = outtime;
	}
	
	@Column(name = "PERSONCODE")
	public Integer getPersoncode() {
		return personcode;
	}

	public void setPersoncode(Integer personcode) {
		this.personcode = personcode;
	}

	@Column(name = "PERSONNAME", length = 20)
	public String getPersonname() {
		return personname;
	}

	public void setPersonname(String personname) {
		this.personname = personname;
	}

	@Column(name = "MINEAREACODE", length = 36)
	public String getMineareacode() {
		return mineareacode;
	}

	public void setMineareacode(String mineareacode) {
		this.mineareacode = mineareacode;
	}

	@Column(name = "DEPARTCODE", length = 36)
	public String getDepartcode() {
		return departcode;
	}

	public void setDepartcode(String departcode) {
		this.departcode = departcode;
	}

	@Column(name = "FLAG", length = 1)
	public String getFlag() {
		return flag;
	}

	public void setFlag(String flag) {
		this.flag = flag;
	}

	@Column(name = "IP", length = 50)
	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}
	
	
	


}