package com.dj.model.sys;

import java.math.BigDecimal;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

import org.hibernate.annotations.NotFound;
import org.hibernate.annotations.NotFoundAction;

/**
 * Tauth entity. @author MyEclipse Persistence Tools
 */

@Entity
@Table(name = "TAB_LEADER", schema = "")
public class Tleader implements java.io.Serializable {

	// Fields

	private static final long serialVersionUID = 1L;
	
	private String id; // 区域ID
	private String leadername;
	private String state;
	private Tminearea tminearea;//矿区
	
	// Constructors

	/** default constructor */
	public Tleader() {
	}



	/** full constructor */
	public Tleader(String id, String leadername,String state) {
		super();
		this.id = id;
		this.leadername = leadername;
		this.state = state;

	}


	@Id
	@Column(name = "ID", length = 36)
	public String getId() {
		return id;
	}



	public void setId(String id) {
		this.id = id;
	}


	@Column(name = "LEADERNAME",  length = 100)
	public String getLeadername() {
		return leadername;
	}



	public void setLeadername(String leadername) {
		this.leadername = leadername;
	}


	@Column(name = "STATE",  length = 1)
	public String getState() {
		return state;
	}



	public void setState(String state) {
		this.state = state;
	}



	
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "MINEAREACODE")
	@NotFound(action=NotFoundAction.IGNORE) 
	public Tminearea getTminearea() {
		return tminearea;
	}

	public void setTminearea(Tminearea tminearea) {
		this.tminearea = tminearea;
	}

	

}
