
package com.dj.model.sys;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
@Table(
        name = "v_ktjiance_data",
        schema = ""
)
public class Tmechine implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer id;
    private String zkname;
    private Double value1;
    private Date jctime;
    private String ifbj;
    private String sensorname;
    private Double value2;
    private Double value3;
    private Date jcbjtime;
    private Integer ifstart;
    private Integer ifview;
    private String zduan;

    public Tmechine() {
    }

    public Tmechine(Integer id, String zkname, Double value1, Date jctime, String ifbj, String sensorname, Double value2, Double value3, Date jcbjtime, Integer ifstart, Integer ifview, String zduan) {
        this.id = id;
        this.zkname = zkname;
        this.value1 = value1;
        this.jctime = jctime;
        this.ifbj = ifbj;
        this.sensorname = sensorname;
        this.value2 = value2;
        this.value3 = value3;
        this.jcbjtime = jcbjtime;
        this.ifstart = ifstart;
        this.ifview = ifview;
        this.zduan = zduan;
    }

    @Id
    @Column(
            name = "ID"
    )
    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @Column(
            name = "ZKNAME",
            length = 50
    )
    public String getZkname() {
        return this.zkname;
    }

    public void setZkname(String zkname) {
        this.zkname = zkname;
    }

    @Column(
            name = "VALUE1"
    )
    public Double getValue1() {
        return this.value1;
    }

    public void setValue1(Double value1) {
        this.value1 = value1;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(
            name = "JCTIME",
            length = 7
    )
    public Date getJctime() {
        return this.jctime;
    }

    public void setJctime(Date jctime) {
        this.jctime = jctime;
    }

    @Column(
            name = "IFBJ"
    )
    public String getIfbj() {
        return this.ifbj;
    }

    public void setIfbj(String ifbj) {
        this.ifbj = ifbj;
    }

    @Column(
            name = "SENSORNAME",
            length = 50
    )
    public String getSensorname() {
        return this.sensorname;
    }

    public void setSensorname(String sensorname) {
        this.sensorname = sensorname;
    }

    @Column(
            name = "VALUE2"
    )
    public Double getValue2() {
        return this.value2;
    }

    public void setValue2(Double value2) {
        this.value2 = value2;
    }

    @Column(
            name = "VALUE3"
    )
    public Double getValue3() {
        return this.value3;
    }

    public void setValue3(Double value3) {
        this.value3 = value3;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(
            name = "JCBJTIME",
            length = 7
    )
    public Date getJcbjtime() {
        return this.jcbjtime;
    }

    public void setJcbjtime(Date jcbjtime) {
        this.jcbjtime = jcbjtime;
    }

    @Column(
            name = "IFSTART"
    )
    public Integer getIfstart() {
        return this.ifstart;
    }

    public void setIfstart(Integer ifstart) {
        this.ifstart = ifstart;
    }

    @Column(
            name = "IFVIEW"
    )
    public Integer getIfview() {
        return this.ifview;
    }

    public void setIfview(Integer ifview) {
        this.ifview = ifview;
    }


    @Column(
            name = "ZDUAN"
    )
    public String getZduan() {
        return zduan;
    }

    public void setZduan(String zduan) {
        this.zduan = zduan;
    }
}
