package com.dj.model.sys;

import java.math.BigDecimal;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Tauth entity. @author MyEclipse Persistence Tools
 */

@Entity
@Table(name = "TMINEAREA", schema = "")
public class Tminearea implements java.io.Serializable {

	// Fields

	private static final long serialVersionUID = 1L;
	
	private String cid; // 区域ID
	private Tminearea tminearea; // 上级区域
	private String ciconcls; // 区域图标
	private String cname; // 区域名称
	private BigDecimal cseq; // 排序
	private String cdesc;//区域描述
	private Set<Tminearea> tmineareas = new HashSet<Tminearea>(0);

	// Constructors

	/** default constructor */
	public Tminearea() {
	}

	/** minimal constructor */
	public Tminearea(String cid, String cname) {
		this.cid = cid;
		this.cname = cname;
	}

	/** full constructor */
	public Tminearea(String cid, Tminearea Tminearea, String ciconcls, String cname, BigDecimal cseq, Set<Tminearea> Tmineareas) {
		super();
		this.cid = cid;
		this.tminearea = tminearea;
		this.ciconcls = ciconcls;
		this.cname = cname;
		this.cseq = cseq;
		this.tmineareas = tmineareas;
	}

	@Id
	@Column(name = "CID", length = 36)
	public String getCid() {
		return cid;
	}

	public void setCid(String cid) {
		this.cid = cid;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "CPID")
	public Tminearea getTminearea() {
		return tminearea;
	}

	public void setTminearea(Tminearea tminearea) {
		this.tminearea = tminearea;
	}

	@Column(name = "CICONCLS", length = 100)
	public String getCiconcls() {
		return ciconcls;
	}

	public void setCiconcls(String ciconcls) {
		this.ciconcls = ciconcls;
	}

	@Column(name = "CNAME", nullable = false, length = 100)
	public String getCname() {
		return cname;
	}

	public void setCname(String cname) {
		this.cname = cname;
	}

	@Column(name = "CSEQ", precision = 22, scale = 0)
	public BigDecimal getCseq() {
		return cseq;
	}

	public void setCseq(BigDecimal cseq) {
		this.cseq = cseq;
	}

	@OneToMany(cascade = CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "tminearea")
	public Set<Tminearea> getTmineareas() {
		return tmineareas;
	}

	public void setTmineareas(Set<Tminearea> tmineareas) {
		this.tmineareas = tmineareas;
	}

	@Column(name = "CDESC",length = 250 )
	public String getCdesc() {
		return cdesc;
	}

	public void setCdesc(String cdesc) {
		this.cdesc = cdesc;
	}

}
