package com.dj.model.sys;

import java.math.BigDecimal;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Tauth entity. @author MyEclipse Persistence Tools
 */

@Entity
@Table(name = "TPOST", schema = "")
public class Tpost implements java.io.Serializable {

	// Fields

	private static final long serialVersionUID = 1L;
	
	private String cid; // 区域ID
	private Tpost tpost; // 上级区域
	private String ciconcls; // 区域图标
	private String cname; // 区域名称
	private BigDecimal cseq; // 排序
	private String cdesc;//区域描述
	private Set<Tpost> tposts = new HashSet<Tpost>(0);

	// Constructors

	/** default constructor */
	public Tpost() {
	}

	/** minimal constructor */
	public Tpost(String cid, String cname) {
		this.cid = cid;
		this.cname = cname;
	}

	/** full constructor */
	public Tpost(String cid, Tpost Tpost, String ciconcls, String cname, BigDecimal cseq, Set<Tpost> Tposts) {
		super();
		this.cid = cid;
		this.tpost = tpost;
		this.ciconcls = ciconcls;
		this.cname = cname;
		this.cseq = cseq;
		this.tposts = tposts;
	}

	@Id
	@Column(name = "CID", length = 36)
	public String getCid() {
		return cid;
	}

	public void setCid(String cid) {
		this.cid = cid;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "CPID")
	public Tpost getTpost() {
		return tpost;
	}

	public void setTpost(Tpost tpost) {
		this.tpost = tpost;
	}

	@Column(name = "CICONCLS", length = 100)
	public String getCiconcls() {
		return ciconcls;
	}

	public void setCiconcls(String ciconcls) {
		this.ciconcls = ciconcls;
	}

	@Column(name = "CNAME", nullable = false, length = 100)
	public String getCname() {
		return cname;
	}

	public void setCname(String cname) {
		this.cname = cname;
	}

	@Column(name = "CSEQ", precision = 22, scale = 0)
	public BigDecimal getCseq() {
		return cseq;
	}

	public void setCseq(BigDecimal cseq) {
		this.cseq = cseq;
	}

	@OneToMany(cascade = CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "tpost")
	public Set<Tpost> getTposts() {
		return tposts;
	}

	public void setTposts(Set<Tpost> tposts) {
		this.tposts = tposts;
	}

	@Column(name = "CDESC",length = 250 )
	public String getCdesc() {
		return cdesc;
	}

	public void setCdesc(String cdesc) {
		this.cdesc = cdesc;
	}

}
