package com.dj.model.sys;

import java.sql.Timestamp;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.hibernate.annotations.NotFound;
import org.hibernate.annotations.NotFoundAction;

/**
 * Tuser entity. @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "V_LEADER", schema = "")
public class Vleader implements java.io.Serializable {

	// Fields

	private static final long serialVersionUID = 1L;

	private String id;
	private String leadername;
	private String state;
	
	
	private String mineareacode;
	private String mineareaname;
	
	



	/** default constructor */
	public Vleader() {
	}

	

	/** full constructor */
	public Vleader(String id,String leadername,String state, String mineareacode, String mineareaname) {
		this.id = id;
		this.leadername = leadername;
		this.state = state;
		this.mineareacode = mineareacode;
		this.mineareaname = mineareaname;
		

	}

	// Property accessors
	@Id
	@Column(name = "ID", length = 36)
	public String getId() {
		return this.id;
	}
	
	public void setId(String id) {
		this.id = id;
	}

	
	@Column(name = "LEADERNAME")
	public String getLeadername() {
		return leadername;
	}



	public void setLeadername(String leadername) {
		this.leadername = leadername;
	}


	@Column(name = "STATE")
	public String getState() {
		return state;
	}



	public void setState(String state) {
		this.state = state;
	}


	@Column(name = "MINEAREACODE")
	public String getMineareacode() {
		return mineareacode;
	}

	public void setMineareacode(String mineareacode) {
		this.mineareacode = mineareacode;
	}

	@Column(name = "MINEAREANAME")
	public String getMineareaname() {
		return mineareaname;
	}

	public void setMineareaname(String mineareaname) {
		this.mineareaname = mineareaname;
	}

	

}