package com.dj.action.sys;

import com.dj.action.base.BaseAction;
import com.dj.pageModel.sys.EryanghuatanHistory;
import com.dj.service.sys.Co2historyServiceI;
import com.opensymphony.xwork2.ModelDriven;
import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;

@Action(
        value = "co2history",
        results = {@Result(
                name = "co2history",
                location = "/general/admin/co2history.jsp"
        )}
)
public class RealTime3DAction extends BaseAction implements ModelDriven<EryanghuatanHistory> {
    private static final long serialVersionUID = 1L;
    private static final Logger logger = Logger.getLogger(RealTime3DAction.class);
    private Co2historyServiceI co2historyService;
    private EryanghuatanHistory eryanghuatan = new EryanghuatanHistory();

    public RealTime3DAction() {

    }

    public Co2historyServiceI getCo2historyService() {
        return this.co2historyService;
    }

    @Autowired
    public void setCo2historyService(Co2historyServiceI co2historyService) {
        this.co2historyService = co2historyService;
    }

    public EryanghuatanHistory getModel() {
        return this.eryanghuatan;
    }

    public String co2history() {
        return "co2history";
    }

    public void datagrid() {
        super.writeJson(this.co2historyService.datagrid(this.eryanghuatan));
    }

}

