package com.dj.model.sys;

import java.math.BigDecimal;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Tauth entity. @author MyEclipse Persistence Tools
 */

@Entity
@Table(name = "TAB_FORBID", schema = "")
public class Tforbid implements java.io.Serializable {

	// Fields

	private static final long serialVersionUID = 1L;

	private String id; // 禁止卡号id
	private String cardcode;
	private String state;// 0为正在使用 1为过期
	private Date adddate;
	private Date updatedate;

	// Constructors

	/** default constructor */
	public Tforbid() {
	}

	/** minimal constructor */
	public Tforbid(String id, String cardcode) {
		this.id = id;
		this.cardcode = cardcode;
	}

	/** full constructor */
	public Tforbid(String id, String cardcode, String state, Date adddate,
			Date updatedate) {
		super();
		this.id = id;
		this.cardcode = cardcode;
		this.state = state;
		this.adddate = adddate;
		this.updatedate = updatedate;

	}

	@Id
	@Column(name = "ID", length = 36)
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	@Column(name = "CARDCODE", nullable = false, length = 255)
	public String getCardcode() {
		return cardcode;
	}

	public void setCardcode(String cardcode) {
		this.cardcode = cardcode;
	}

	@Column(name = "STATE", length = 1)
	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "ADDDATE", length = 7)
	public Date getAdddate() {
		return adddate;
	}

	public void setAdddate(Date adddate) {
		this.adddate = adddate;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "UPDATEDATE", length = 7)
	public Date getUpdatedate() {
		return updatedate;
	}

	public void setUpdatedate(Date updatedate) {
		this.updatedate = updatedate;
	}

}
