package com.dj.model.sys;

import java.math.BigDecimal;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Tauth entity. @author MyEclipse Persistence Tools
 */

@Entity
@Table(name = "TGROUP", schema = "")
public class Tgroup implements java.io.Serializable {

	// Fields

	private static final long serialVersionUID = 1L;
	
	private String cid; // 区域ID
	private Tgroup tgroup; // 上级区域
	private String ciconcls; // 区域图标
	private String cname; // 区域名称
	private BigDecimal cseq; // 排序
	private String cdesc;//区域描述
	private Set<Tgroup> tgroups = new HashSet<Tgroup>(0);

	// Constructors

	/** default constructor */
	public Tgroup() {
	}

	/** minimal constructor */
	public Tgroup(String cid, String cname) {
		this.cid = cid;
		this.cname = cname;
	}

	/** full constructor */
	public Tgroup(String cid, Tgroup Tgroup, String ciconcls, String cname, BigDecimal cseq, Set<Tgroup> Tgroups) {
		super();
		this.cid = cid;
		this.tgroup = tgroup;
		this.ciconcls = ciconcls;
		this.cname = cname;
		this.cseq = cseq;
		this.tgroups = tgroups;
	}

	@Id
	@Column(name = "CID", length = 36)
	public String getCid() {
		return cid;
	}

	public void setCid(String cid) {
		this.cid = cid;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "CPID")
	public Tgroup getTgroup() {
		return tgroup;
	}

	public void setTgroup(Tgroup tgroup) {
		this.tgroup = tgroup;
	}

	@Column(name = "CICONCLS", length = 100)
	public String getCiconcls() {
		return ciconcls;
	}

	public void setCiconcls(String ciconcls) {
		this.ciconcls = ciconcls;
	}

	@Column(name = "CNAME", nullable = false, length = 100)
	public String getCname() {
		return cname;
	}

	public void setCname(String cname) {
		this.cname = cname;
	}

	@Column(name = "CSEQ", precision = 22, scale = 0)
	public BigDecimal getCseq() {
		return cseq;
	}

	public void setCseq(BigDecimal cseq) {
		this.cseq = cseq;
	}

	@OneToMany(cascade = CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "tgroup")
	public Set<Tgroup> getTgroups() {
		return tgroups;
	}

	public void setTgroups(Set<Tgroup> tgroups) {
		this.tgroups = tgroups;
	}

	@Column(name = "CDESC",length = 250 )
	public String getCdesc() {
		return cdesc;
	}

	public void setCdesc(String cdesc) {
		this.cdesc = cdesc;
	}

}
