package com.dj.service.sys;

import java.util.List;

import com.dj.pageModel.base.TreeNode;
import com.dj.pageModel.sys.Post;


public interface PostServiceI {

	/**
	 * 获取岗位树
	 * 
	 * @param post
	 * @param b
	 *            是否递归子节点
	 * @return
	 */
	public List<TreeNode> tree(Post post, Boolean b);

	/**
	 * 获得岗位treegrid
	 * 
	 * @param post
	 * @return
	 */
	public List<Post> treegrid(Post post);

	/**
	 * 删除岗位
	 * 
	 * @param post
	 */
	public void delete(Post post);

	/**
	 * 添加岗位
	 * 
	 * @param post
	 */
	public void add(Post post);

	/**
	 * 编辑岗位
	 * 
	 * @param post
	 */
	public void edit(Post post);
	
	/**
	 * 查询所有岗位项
	 * 
	 * @param post
	 */
	public List<Post> findAll();

}
